/*		Q/C V3.2 Utility Library		*/
/*     Copyright (c) 1984 Quality Computer Systems	*/
/*			11/25/84			*/

#include "stdio.h"

/* add second string to end of first string */
char *strcat(s1, s2)
char *s1, *s2;
	{
	register char *p;

	p = s1;
	while (*p)		/* find end of first string */
		++p;
	while (*p++ = *s2++)	/* copy 2nd string to end of 1st */
		;
	return s1;
	}
